using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _C_Slova
{
    class Program
    {
        static void Main(string[] args)
        {
            int n;

            long proizvod = 1, brojac = 1;

            char slovo;

            n = int.Parse(Console.ReadLine());

            StringBuilder s = new StringBuilder(Console.ReadLine());

            for (int i = 0; i < n; i++)
            {
                slovo = s[i];

                if (i > 0) 
                {
                    if (slovo == s[i - 1])
                    {
                        brojac++;
                    }
                    else if (slovo < s[i-1])
                    {
                        s.Remove(i, 1);
                        n--;
                        i--;
                    }
                    else if (slovo - s[i-1] > 1)
                    {
                        n--;
                        i--;
                    }
                    else
                    {
                        proizvod *= brojac;
                        brojac = 1;
                    }
                }
                else if (slovo != 'A')
                {
                    s.Remove(i, 1);
                    i--;
                    n--;
                }
            }

            proizvod *= brojac;

            var broj = Math.Pow(10, 9) + 7;

            proizvod = proizvod % (long)broj;

            Console.WriteLine(proizvod);

        }
    }
}